{
    "objects": [
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "71908f00-88ca-11e7-ad9c-db80de0bf8d3-ecs",
                "title": "HTTP Transactions [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"segment\", \"enabled\": true, \"params\": {\"useNormalizedEsInterval\": true, \"field\": \"@timestamp\", \"extended_bounds\": {}, \"min_doc_count\": 1, \"customInterval\": \"2h\", \"drop_partials\": false, \"interval\": \"auto\"}, \"id\": \"2\", \"type\": \"date_histogram\"}], \"title\": \"HTTP Transactions [Packetbeat] ECS\", \"params\": {\"mode\": \"stacked\", \"valueAxes\": [{\"show\": true, \"id\": \"ValueAxis-1\", \"title\": {\"text\": \"Count\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"truncate\": 100, \"rotate\": 0, \"show\": true, \"filter\": false}, \"style\": {}, \"type\": \"value\", \"position\": \"left\", \"scale\": {\"defaultYExtents\": false, \"mode\": \"normal\", \"type\": \"linear\", \"setYExtents\": false}}], \"setYExtents\": false, \"addLegend\": false, \"addTimeMarker\": false, \"shareYAxis\": true, \"defaultYExtents\": false, \"legendPosition\": \"right\", \"times\": [], \"addTooltip\": true, \"seriesParams\": [{\"mode\": \"stacked\", \"valueAxis\": \"ValueAxis-1\", \"type\": \"histogram\", \"show\": \"true\", \"data\": {\"label\": \"Count\", \"id\": \"1\"}}], \"type\": \"histogram\", \"yAxis\": {}, \"categoryAxes\": [{\"show\": true, \"id\": \"CategoryAxis-1\", \"title\": {}, \"labels\": {\"truncate\": 100, \"show\": true}, \"style\": {}, \"type\": \"category\", \"position\": \"bottom\", \"scale\": {\"type\": \"linear\"}}], \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"scale\": \"linear\"}, \"type\": \"histogram\"}"
            },
            "id": "Web-transactions-ecs",
            "type": "visualization",
            "updated_at": "2019-01-19T00:21:31.922Z",
            "version": 3
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"index\": \"packetbeat-*\", \"query\": {\"query\": \"http.response.status_code >= 300\", \"language\": \"kuery\"}, \"highlight\": {\"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"post_tags\": [\"@/kibana-highlighted-field@\"]}, \"filter\": [{\"query\": {\"match\": {\"network.protocol\": {\"query\": \"http\", \"type\": \"phrase\"}}}, \"meta\": {\"index\": \"packetbeat-*\", \"negate\": false, \"key\": \"type\", \"type\": \"phrase\", \"params\": {\"query\": \"http\", \"type\": \"phrase\"}, \"value\": \"http\", \"alias\": null, \"disabled\": false}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "title": "HTTP error codes [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {\"field\": \"type\"}, \"id\": \"1\", \"type\": \"cardinality\"}, {\"schema\": \"segment\", \"enabled\": true, \"params\": {\"orderBy\": \"1\", \"size\": 5, \"field\": \"http.response.status_code\", \"order\": \"desc\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"missingBucket\": false, \"otherBucketLabel\": \"Other\", \"customLabel\": \"HTTP Status Code\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"HTTP error codes [Packetbeat] ECS\", \"params\": {\"mode\": \"stacked\", \"valueAxes\": [{\"show\": true, \"id\": \"ValueAxis-1\", \"title\": {\"text\": \"Count\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"truncate\": 100, \"rotate\": 0, \"show\": true, \"filter\": false}, \"style\": {}, \"type\": \"value\", \"position\": \"left\", \"scale\": {\"defaultYExtents\": false, \"mode\": \"normal\", \"type\": \"linear\", \"setYExtents\": false}}], \"setYExtents\": false, \"addLegend\": false, \"addTimeMarker\": false, \"shareYAxis\": true, \"defaultYExtents\": false, \"legendPosition\": \"right\", \"times\": [], \"addTooltip\": true, \"seriesParams\": [{\"mode\": \"stacked\", \"valueAxis\": \"ValueAxis-1\", \"type\": \"histogram\", \"show\": \"true\", \"data\": {\"label\": \"Unique count of type\", \"id\": \"1\"}}], \"type\": \"histogram\", \"yAxis\": {}, \"categoryAxes\": [{\"show\": true, \"id\": \"CategoryAxis-1\", \"title\": {}, \"labels\": {\"truncate\": 100, \"show\": true}, \"style\": {}, \"type\": \"category\", \"position\": \"bottom\", \"scale\": {\"type\": \"linear\"}}], \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"scale\": \"linear\"}, \"type\": \"histogram\"}"
            },
            "id": "HTTP-error-codes-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:26.207Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"index\": \"packetbeat-*\", \"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"highlight\": {\"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"post_tags\": [\"@/kibana-highlighted-field@\"]}, \"filter\": [{\"query\": {\"match\": {\"network.protocol\": {\"query\": \"http\", \"type\": \"phrase\"}}}, \"meta\": {\"index\": \"packetbeat-*\", \"negate\": false, \"key\": \"network.protocol\", \"type\": \"phrase\", \"params\": {\"query\": \"http\", \"type\": \"phrase\"}, \"value\": \"http\", \"alias\": null, \"disabled\": false}, \"$state\": {\"store\": \"appState\"}}, {\"range\": {\"http.response.status_code\": {\"lte\": 299, \"gte\": 200}}, \"meta\": {\"index\": \"packetbeat-*\", \"negate\": true, \"key\": \"http.response.status_code\", \"type\": \"range\", \"params\": {\"lt\": 299, \"gte\": 200}, \"value\": \"200 to 299\", \"alias\": null, \"disabled\": false}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "title": "HTTP error codes evolution [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"segment\", \"enabled\": true, \"params\": {\"useNormalizedEsInterval\": true, \"field\": \"@timestamp\", \"extended_bounds\": {}, \"min_doc_count\": 1, \"customInterval\": \"2h\", \"drop_partials\": false, \"interval\": \"auto\"}, \"id\": \"2\", \"type\": \"date_histogram\"}, {\"schema\": \"group\", \"enabled\": true, \"params\": {\"orderBy\": \"1\", \"size\": 5, \"field\": \"http.response.status_code\", \"order\": \"desc\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"missingBucket\": false, \"otherBucketLabel\": \"Other\", \"customLabel\": \"HTTP Status Code\"}, \"id\": \"3\", \"type\": \"terms\"}], \"title\": \"HTTP error codes evolution [Packetbeat] ECS\", \"params\": {\"drawLinesBetweenPoints\": true, \"valueAxes\": [{\"show\": true, \"id\": \"ValueAxis-1\", \"title\": {\"text\": \"Count\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"truncate\": 100, \"rotate\": 0, \"show\": true, \"filter\": false}, \"style\": {}, \"type\": \"value\", \"position\": \"left\", \"scale\": {\"defaultYExtents\": false, \"mode\": \"normal\", \"type\": \"linear\", \"setYExtents\": false}}], \"showCircles\": true, \"yAxis\": {}, \"setYExtents\": false, \"addLegend\": true, \"addTimeMarker\": false, \"shareYAxis\": true, \"interpolate\": \"linear\", \"smoothLines\": false, \"defaultYExtents\": false, \"legendPosition\": \"right\", \"times\": [], \"addTooltip\": true, \"seriesParams\": [{\"drawLinesBetweenPoints\": true, \"mode\": \"normal\", \"showCircles\": true, \"show\": \"true\", \"valueAxis\": \"ValueAxis-1\", \"radiusRatio\": 9, \"type\": \"line\", \"interpolate\": \"linear\", \"data\": {\"label\": \"Count\", \"id\": \"1\"}}], \"type\": \"line\", \"categoryAxes\": [{\"show\": true, \"id\": \"CategoryAxis-1\", \"title\": {}, \"labels\": {\"truncate\": 100, \"show\": true}, \"style\": {}, \"type\": \"category\", \"position\": \"bottom\", \"scale\": {\"type\": \"linear\"}}], \"radiusRatio\": 9, \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"scale\": \"linear\"}, \"type\": \"line\"}"
            },
            "id": "HTTP-error-codes-evolution-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:26.207Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Navigation [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Navigation [Packetbeat] ECS\", \"params\": {\"markdown\": \"### Packetbeat:\\n\\n[Overview](#/dashboard/Packetbeat-Dashboard-ecs)\\n\\n[Network Flows](#/dashboard/Packetbeat-Flows-ecs)\\n\\n[DNS Overview](#/dashboard/65120940-1454-11e9-9de0-f98d1808db8e-ecs) | [Tunneling](#/dashboard/DNS-Unique-Domains-ecs)\\n\\n[DHCPv4 Transactions](#/dashboard/a7b35890-8baa-11e8-9676-ef67484126fb-ecs)\\n\\n[TLS Overview](#/dashboard/tls-sessions-ecs)\\n\\n[HTTP transactions](#/dashboard/Packetbeat-HTTP-ecs)\\n\\nDatabases: [MySQL](#/dashboard/Packetbeat-MySQL-performance-ecs) | [PostgreSQL](#/dashboard/Packetbeat-PgSQL-performance-ecs) | [MongoDB](#/dashboard/Packetbeat-MongoDB-performance-ecs) | [Cassandra](#/dashboard/Packetbeat-Cassandra-ecs)\\n\\nRPC: [Thrift](#/dashboard/Packetbeat-Thrift-performance-ecs)\\n\\nStorage: [NFS](#/dashboard/Packetbeat-NFS-ecs)\", \"fontSize\": 10, \"openLinksInNewTab\": false}, \"type\": \"markdown\"}"
            },
            "id": "Navigation-ecs",
            "type": "visualization",
            "updated_at": "2019-01-19T00:18:59.372Z",
            "version": 11
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "71908f00-88ca-11e7-ad9c-db80de0bf8d3-ecs",
                "title": "Total number of HTTP transactions [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {}, \"id\": \"1\", \"type\": \"count\"}], \"title\": \"Total number of HTTP transactions [Packetbeat] ECS\", \"params\": {\"fontSize\": \"37\", \"addTooltip\": true, \"metric\": {\"invertColors\": false, \"colorSchema\": \"Green to Red\", \"useRanges\": false, \"metricColorMode\": \"None\", \"percentageMode\": false, \"labels\": {\"show\": true}, \"colorsRange\": [{\"to\": 10000, \"from\": 0}], \"style\": {\"fontSize\": 60, \"subText\": \"\", \"bgColor\": false, \"labelColor\": false, \"bgFill\": \"#000\"}}, \"addLegend\": false, \"handleNoResults\": true, \"type\": \"metric\"}, \"type\": \"metric\"}"
            },
            "id": "Total-number-of-HTTP-transactions-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:26.207Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "71908f00-88ca-11e7-ad9c-db80de0bf8d3-ecs",
                "title": "HTTP status codes for the top queries [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"split\", \"enabled\": true, \"params\": {\"orderBy\": \"1\", \"row\": false, \"field\": \"query\", \"order\": \"desc\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"missingBucket\": false, \"size\": 5, \"otherBucketLabel\": \"Other\", \"customLabel\": \"HTTP Query\"}, \"id\": \"2\", \"type\": \"terms\"}, {\"schema\": \"segment\", \"enabled\": true, \"params\": {\"orderBy\": \"1\", \"size\": 10, \"field\": \"http.response.status_code\", \"order\": \"desc\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"missingBucket\": false, \"otherBucketLabel\": \"Other\", \"customLabel\": \"HTTP Status Code\"}, \"id\": \"3\", \"type\": \"terms\"}], \"title\": \"HTTP status codes for the top queries [Packetbeat] ECS\", \"params\": {\"legendPosition\": \"right\", \"shareYAxis\": true, \"addTooltip\": true, \"addLegend\": true, \"labels\": {\"truncate\": 100, \"show\": false, \"last_level\": true, \"values\": true}, \"type\": \"pie\", \"isDonut\": false}, \"type\": \"pie\"}"
            },
            "id": "HTTP-codes-for-the-top-queries-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:26.207Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "71908f00-88ca-11e7-ad9c-db80de0bf8d3-ecs",
                "title": "Top 10 HTTP requests [Packetbeat] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"bucket\", \"enabled\": true, \"params\": {\"size\": 5, \"field\": \"url.full\", \"otherBucketLabel\": \"Other\", \"orderBy\": \"1\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"order\": \"desc\", \"missingBucket\": false}, \"id\": \"3\", \"type\": \"terms\"}], \"title\": \"Top 10 HTTP requests [Packetbeat] ECS\", \"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}, \"showMetricsAtAllLevels\": false, \"showTotal\": false, \"showPartialRows\": false, \"totalFunc\": \"sum\", \"perPage\": 10}, \"type\": \"table\"}"
            },
            "id": "Top-10-HTTP-requests-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:26.207Z",
            "version": 1
        },
        {
            "attributes": {
                "columns": [
                    "_source"
                ],
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"index\": \"packetbeat-*\", \"version\": true, \"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"highlightAll\": true, \"filter\": [{\"query\": {\"match\": {\"network.protocol\": {\"query\": \"http\", \"type\": \"phrase\"}}}, \"meta\": {\"index\": \"packetbeat-*\", \"negate\": false, \"key\": \"network.protocol\", \"type\": \"phrase\", \"params\": {\"query\": \"http\", \"type\": \"phrase\"}, \"value\": \"http\", \"alias\": null, \"disabled\": false}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "sort": [
                    "@timestamp",
                    "desc"
                ],
                "title": "HTTP Transactions Search [Packetbeat] ECS",
                "version": 1
            },
            "id": "71908f00-88ca-11e7-ad9c-db80de0bf8d3-ecs",
            "type": "search",
            "updated_at": "2019-01-19T00:21:43.886Z",
            "version": 3
        },
        {
            "attributes": {
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"version\": true, \"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"highlightAll\": true, \"filter\": []}"
                },
                "optionsJSON": "{\"darkTheme\": false}",
                "panelsJSON": "[{\"type\": \"visualization\", \"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"1\", \"id\": \"Web-transactions-ecs\", \"gridData\": {\"h\": 20, \"w\": 36, \"i\": \"1\", \"x\": 12, \"y\": 0}}, {\"type\": \"visualization\", \"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"2\", \"id\": \"HTTP-error-codes-ecs\", \"gridData\": {\"h\": 15, \"w\": 24, \"i\": \"2\", \"x\": 0, \"y\": 35}}, {\"type\": \"visualization\", \"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"3\", \"id\": \"HTTP-error-codes-evolution-ecs\", \"gridData\": {\"h\": 15, \"w\": 24, \"i\": \"3\", \"x\": 24, \"y\": 35}}, {\"type\": \"visualization\", \"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"4\", \"id\": \"Navigation-ecs\", \"gridData\": {\"h\": 20, \"w\": 12, \"i\": \"4\", \"x\": 0, \"y\": 0}}, {\"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"5\", \"gridData\": {\"h\": 15, \"w\": 12, \"i\": \"5\", \"x\": 0, \"y\": 20}, \"embeddableConfig\": {\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}, \"id\": \"Total-number-of-HTTP-transactions-ecs\", \"type\": \"visualization\"}, {\"type\": \"visualization\", \"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"6\", \"id\": \"HTTP-codes-for-the-top-queries-ecs\", \"gridData\": {\"h\": 15, \"w\": 36, \"i\": \"6\", \"x\": 12, \"y\": 20}}, {\"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"7\", \"gridData\": {\"h\": 25, \"w\": 48, \"i\": \"7\", \"x\": 0, \"y\": 50}, \"embeddableConfig\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}, \"id\": \"Top-10-HTTP-requests-ecs\", \"type\": \"visualization\"}]",
                "timeRestore": false,
                "title": "[Packetbeat] HTTP ECS",
                "version": 1
            },
            "id": "Packetbeat-HTTP-ecs",
            "type": "dashboard",
            "updated_at": "2019-01-18T23:49:26.207Z",
            "version": 1
        }
    ],
    "version": "7.0.0-SNAPSHOT"
}